Skip to main content
POST
/
v1
/
wallets
/
external
Register an external (customer-owned) wallet
curl --request POST \
  --url https://api.getsly.ai/v1/v1/wallets/external \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "owner_type": "account",
  "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "currency": "<string>",
  "network": "<string>",
  "address": "<string>",
  "name": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "owner_type": "account",
    "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "currency": "<string>",
    "balance_available": "<string>",
    "balance_pending": "<string>",
    "status": "active",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "network": "<string>",
    "address": "<string>",
    "name": "<string>",
    "metadata": {},
    "frozen_at": "2023-11-07T05:31:56Z",
    "frozen_reason": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Body

application/json
owner_type
enum<string>
required
Available options:
account,
agent
owner_id
string<uuid>
required
currency
string
required
network
string
required
address
string
required

The customer-owned on-chain address

name
string
Maximum string length: 255

Response

External wallet registered

data
object
required